#!/bin/bash

# AUTHOR:
# Francesc Suñol <francesc@fa.upc.edu>

# HISTORY: 
# - Created by Francesc Suñol in 2006-11-28.
# - Modified by Francesc Suñol in 2008-06-05: Added the extension
#   conditional.
# - (Add your modifiactions and date here).

# REQUIRES: 
# pdflatex, xpdf.

# OBJECTIVES: 
# Automatize the LaTeXing process and show the .pdf result in the
# screen. Remove output files other than .pdf.

# USAGE:
# bash presenting.bash input-file 

# NOTES:
# The input-file name must have .tex extension. 

# COPYRIGHT:
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Copyright 2006, 2007, 2008 Francesc Suñol.


name=`echo "$1"|sed 's/\.[^\.]*$//'`
extension=`echo "$1"|awk -F . '{print $NF}'`

if [ "$extension" = "tex" ]; then

pdflatex $1
pdflatex $1
rm -f $name.aux $name.log $name.nav $name.out $name.snm $name.toc $name.lot $name.lof
xpdf -fullscreen $name.pdf

else

echo -e "The input file has no .tex extension!\n"

fi
